Quantcast
Download
(16 Kb)
Download
Updated: 07/17/20 06:27 AM
Pictures
File Info
Compatibility:
Stonethorn (6.1.0)
Greymoor (6.0.5)
Harrowstorm (5.3.4)
Dragonhold (5.2.5)
Scalebreaker (5.1.5)
Elsweyr (5.0.5)
Updated:07/17/20 06:27 AM
Created:06/10/15 11:08 PM
Monthly downloads:5,116
Total downloads:106,610
Favorites:218
MD5:
Categories:Beta-version AddOns, TradeSkill Mods, Utility Mods
6.0.5
Crafting Writ Assistant  Popular! (More than 5000 hits)
Version: .29b
by: Argusus [More]
Crafting Writ Assistant will conveniently display the current crafting writ you have in your quest journal when you visit that particular crafting station. See screen shots for examples. It will display crafting writs for alchemy, woodworking, blacksmithing, clothier, provisioning and enchanting writs. AND now Master Writs!

Dependencies
LibAddonMenu-2.0
LibCraftText


Please feel free to message on my author portal, with any feedback, bugs and requests!
CHANGE LOG:
  • 07-17-2020 Removed lib folder and added needed Libs to "dependenies"
  • 04-12-2020 Removed Libstub reference
  • 03-08-2020 Added option for leaving window open when exiting station, must be enabled in add-on settings
  • 07-21-2019 Updated UI for Enchanting and Provision Details to be dynamic based on the quest step info
  • 07-20-2019 Updated RU translation file, Added Enchanting Rune names for Enchanting writs
  • 05-27-2018 Added Jewelry crafting writ support.
  • 02-25-2018 Fixed a UI Display bug when turning in a Master Writ.
  • 02-19-2018 Added Completion Text Color indicator (Thanks to DonRomano for doing this work)
  • 01-28-2018 Updated API for Dragon Bones
  • 01-25-2018 Added New Setting to display window at Guild Store
  • 01-16-2018 Fixed Display issue where the Writ window was not displayed due to zoning bug.
  • 01-11-2018 Fixed Display issue for Second Provisioning Recipe not displaying ingredients.
  • 12-31-2017 Updated API for Clockwork City, Added Master Writ Support, Expanded German translations support
  • 09-04-2017 Updated API for Horns of the Reach, and added bug fixes
  • 08-02-2016 Updated API for Shadows of the Hist
  • 04-30-2016 Updated API for Thieves Guild
  • 02-25-2016 Added German translations for writs (Special Thanks to jr.returns)
  • 09-04-2015 Update to new API for Imperial City update, updated quest log when items are pulled from bank or guild bank
  • 08-04-2015 added new settings for guild bank display, bank display
  • 06-04-2015 Added new option to display provisioning ingredients next to writs
  • 03-04-2015 fixed window setting to remember your preference (Special thanks Phinix)
Archived Files (3)
File Name
Version
Size
Uploader
Date
.28b
16kB
Argusus
07/14/20 09:02 AM
.27b
213kB
Argusus
07/13/20 05:17 PM
.24b
214kB
Argusus
03/07/20 05:05 PM


Post A Reply Comment Options
Unread 08/01/20, 05:52 AM  
Spajdr

Forum posts: 0
File comments: 12
Uploads: 0
Small issue

Hello,
I love this addon, but found a small issue.
If I for example have master blacksmith writ which I can't currently finish and during that I take a daily blacksmith writ, when I choose daily blacksmith writ and create one of three items, once it's done it switches back automatically to master blacksmith writ and I need to change it back to daily blacksmith writ to see what is needed next.
Report comment to moderator  
Reply With Quote
Unread 07/17/20, 07:03 AM  
kad

Forum posts: 0
File comments: 1
Uploads: 0
This has rapidly become one of my favorite addons. I found the fact that the default UI hides what you need to make while in the crafting stations to be mind-bogglingly annoying and this fixes that very nicly. And the little things like listing the enchanting recpies is just icing on top!

I know mod authors often dont' hear this often enough (I've been one for other games) so...

THANK YOU!

-K
Report comment to moderator  
Reply With Quote
Unread 07/17/20, 01:13 AM  
babylon

Forum posts: 7
File comments: 365
Uploads: 0
Re: Dependency

Originally Posted by TairenSoul
Just downloaded and am getting a dependency error. Can you please put the dependencies in a list on the addon info! Thanks!

ETA: Manually downloaded and looked in files. Found the dependencies. For anyone who uses Minion and aren't manually downloading the dependencies are:

LibAddonMenu-2.0
LibCraftText

I always check before updating addons since the authors first started making everyone install libs separately. But I wonder how many people do this, or will realise what has gone wrong. Thanks a ton for noting the dependencies in your post.



@Argusus - please edit addon description here and on Minion and outline the dependencies needed for addon.
Report comment to moderator  
Reply With Quote
Unread 07/16/20, 06:21 PM  
Argusus
AddOn Author - Click to view AddOns

Forum posts: 120
File comments: 106
Uploads: 2
Re: Dependency

Originally Posted by TairenSoul
Just downloaded and am getting a dependency error. Can you please put the dependencies in a list on the addon info! Thanks!

ETA: Manually downloaded and looked in files. Found the dependencies. For anyone who uses Minion and aren't manually downloading the dependencies are:

LibAddonMenu-2.0
LibCraftText
Thanks!
__________________
Addons : TradesMan - Crafting Writ Assistant
Report comment to moderator  
Reply With Quote
Unread 07/16/20, 06:21 PM  
Argusus
AddOn Author - Click to view AddOns

Forum posts: 120
File comments: 106
Uploads: 2
Yeah I tried to update the addon from what I understood about the changes. I will make your recommended changes as well. thanks again for the time.
Originally Posted by Baertram
It was updated already as it seems?
The libs folder included is gone, only the txt file is not correct "in total".
You do not need to add an optional AND a normal dependency.
Optional dependencies are only addons/libs which do not prevent the addon from loading, where as dependencies prevent the adon from loading if they are missing.
So if your addon relies on both libs you need to add them both to the ## DependsOn tag, but not also on the OptionalDependsOn.

And I'd add the actually newest version numbers of the libs after their name, via the >= addition, so the users need to update them to the actual newest versions to make your addon load. The newest version is specified in the libraries's own txt file, at the tag: ## AddOnVersion: <versionInteger>.
Please also verify that the txt file's format is UTF-8 w/o BOM (UTF-8 is only needed if you add special cahracters like the copyright sign next to the Zenimax Online discalimer text, or umlauts from other languages -> Else it can be ANSi as well) so it will load properly in the ingame addon manager.
And added the next APIversion of current PTS 100032 so the addon will not be outdated with next patch.

Here is my changed txt file's "start" for you:
Code:
## Title: Crafting Writ Assistant
## Author: @dovah_argus
## Version: .28b
## AddOnVersion: 28
## APIVersion: 100031 100032
## Description: This addon will display your crafting writs when you visit a crafting station, please mail me for suggestions and recommendations.
## SavedVariables: CraftingWritAssistantVars
## DependsOn: LibAddonMenu-2.0>=31 LibCraftText>=531
__________________
Addons : TradesMan - Crafting Writ Assistant
Report comment to moderator  
Reply With Quote
Unread 07/16/20, 04:15 PM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3053
File comments: 3650
Uploads: 63
It was updated already as it seems?
The libs folder included is gone, only the txt file is not correct "in total".
You do not need to add an optional AND a normal dependency.
Optional dependencies are only addons/libs which do not prevent the addon from loading, where as dependencies prevent the adon from loading if they are missing.
So if your addon relies on both libs you need to add them both to the ## DependsOn tag, but not also on the OptionalDependsOn.

And I'd add the actually newest version numbers of the libs after their name, via the >= addition, so the users need to update them to the actual newest versions to make your addon load. The newest version is specified in the libraries's own txt file, at the tag: ## AddOnVersion: <versionInteger>.
Please also verify that the txt file's format is UTF-8 w/o BOM (UTF-8 is only needed if you add special cahracters like the copyright sign next to the Zenimax Online discalimer text, or umlauts from other languages -> Else it can be ANSi as well) so it will load properly in the ingame addon manager.
And added the next APIversion of current PTS 100032 so the addon will not be outdated with next patch.

Here is my changed txt file's "start" for you:
Code:
## Title: Crafting Writ Assistant
## Author: @dovah_argus
## Version: .28b
## AddOnVersion: 28
## APIVersion: 100031 100032
## Description: This addon will display your crafting writs when you visit a crafting station, please mail me for suggestions and recommendations.
## SavedVariables: CraftingWritAssistantVars
## DependsOn: LibAddonMenu-2.0>=31 LibCraftText>=531
Last edited by Baertram : 07/16/20 at 04:18 PM.
Report comment to moderator  
Reply With Quote
Unread 07/15/20, 08:53 AM  
TairenSoul
 
TairenSoul's Avatar

Forum posts: 0
File comments: 10
Uploads: 0
Dependency

Just downloaded and am getting a dependency error. Can you please put the dependencies in a list on the addon info! Thanks!

ETA: Manually downloaded and looked in files. Found the dependencies. For anyone who uses Minion and aren't manually downloading the dependencies are:

LibAddonMenu-2.0
LibCraftText
Last edited by TairenSoul : 07/15/20 at 10:57 AM.
Report comment to moderator  
Reply With Quote
Unread 07/13/20, 07:13 PM  
Argusus
AddOn Author - Click to view AddOns

Forum posts: 120
File comments: 106
Uploads: 2
Hey Baertram,

I don't play ESO has much as I used to nor do I develop on my addon as much as I used. So I apologize, if you would like to correct these issues, I would be more than happy to publish your updates and give you credit and a shoutout for resolving this for me. I'm a full time full stack developer and just don't have as much time for fun time like ESO and addon development like I used to. I would love to have you resolve these issues for me if you have time, as I will take 2-3 days at least before I could dig in and understand what the newer standards are for addon development.

Originally Posted by Baertram
For god's sake: Would you guys please finally STOP USING EMBEDDED, HARDCODED, library calls, where those are NOT needed!
You destroy severel addons via this hardcoded library calls, each patch again and again
>See "Rothry's" comment from 2020-06 below

What is wrong:
You include LAM2.0 r26 and the most current version is LAM2.0 R31 already!
You ALWAYS laod this version which will make other addons break, as you have added the lines to lcall ibaddonmenu-2.0.lua etc. to your CraftingWritAssistant.txt file
This will make the files always load and overwrite or break stuff.

What you need to do instead: Include the libs with their txt files so the vanilla ingame addon manager will detect all libraries with the same name, check the ## AddOnVersion: integer from their txt files and ONLY load the higehst/newest version then.


Please remove the included LibAddonMenu and LibCraftText (not sure if this is available here on esoui?), OR include it in total containing ALL library's files, and especially the txt file of the libraries.
Reasons were explained on multiple addons, changelogs, comments, updates, forum threads, wiki entries, and ... meanwhile -> SINCE the Summerset patch (>2 years ago).

Read this please, if you need more details:
https://wiki.esoui.com/Libraries#Pro..._but_how.3F.29

And then:
Either (prefered way as it will make live so much easier for ALL addon devs AND less error causing for all users):
Strip LibAddonMenu-2.0 from your subfolder libs.
Strip it from the addon's txt file where you hardoced the call to it's files in these subfolders.
Add to your addons's txt file:
Code:
##DependsOn: LibAddonMenu-2.0>=31
Or:
Remove the LibAddonMenu-2.0 folder from your addon#s subfolder, and download the newest version from www.esoui.com -> Extract the WHOLE zip archive contents to your addon's "lib" subfolder so it is included WITH it's LibAddonMenu-2.0.ttx file properly!
Strip it from the addon's txt file where you hardoced the call to it's files in these subfolders.
Add to your addons's txt file
Code:
##DependsOn: LibAddonMenu-2.0>=31

Do the same for the other libraries of your addon (LibCraftText), as long as they GOT an own txt file. If they do not exist on www.esoui.com and you are the author: Release them there please, with it's own txt file.
If you are not the author and you use it: Release it on www.esoui.com and maintain it there.
If you do not want to release it:
Either strip the library and use the code of the lib directly in your addon.
Or create your own txt file for the librray in it's folder, loading the lua files of the lib, and containing the tags
Code:
## AddOnVersion: <unsigned integer>
## IsLibrary: true
in order to make the ESO vanilla ingame addonmanager recognize them properly.
Strip LibStub from the libs! Add a global variable in order to call those libs via their global variable (normally = library name e.g. if the foldername of the lib is LibCraftText, the txt file will be LibCraftText.txt calling LibCraftText.lua and in LibCraftText.lua there will be deifne the global variable LibCraftText = {} which can be reused to load this library in your addons without LibStub then).


Please add the needed dependencies to your addon's description page so the users see what is needed directly as they install the addon (via Minion, www.esoui.com)!
Let the users only install the needed libraries ONCE to their AddOns directory (standalone). Makes it way easier to find errors and update them properly, then including outdated libs and stuff in subfolders...

And:
In your addon code remove ALL calls to LibStub which are not needed anymore.
e.g.
Wrong:
local LAM = LibStub("LibAddonMenu-2.0")

Correct:
local LAM = LibAddonMenu2


If you have build your addon on base of any other addon or template please tell the other addon dev, or template owner, to update their addons and templates as well so you guys do not use outdated and wrong material for your addons anymore

Many thanks for supporting the LibStub stripping, as well as properly used libraries via their own txt files.
Hardcoded libraries ONLY make sense, if they do not exist somwhere else with their txt files, and even then one should reconsider strippin this lib and implementiing it's code in the addon directly, OR creating the library for others to be reused (so to say the librariy's "reason to exist").
__________________
Addons : TradesMan - Crafting Writ Assistant
Report comment to moderator  
Reply With Quote
Unread 07/13/20, 07:00 PM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3053
File comments: 3650
Uploads: 63
For god's sake: Would you guys please finally STOP USING EMBEDDED, HARDCODED, library calls, where those are NOT needed!
You destroy severel addons via this hardcoded library calls, each patch again and again
>See "Rothry's" comment from 2020-06 below

What is wrong:
You include LAM2.0 r26 and the most current version is LAM2.0 R31 already!
You ALWAYS laod this version which will make other addons break, as you have added the lines to lcall ibaddonmenu-2.0.lua etc. to your CraftingWritAssistant.txt file
This will make the files always load and overwrite or break stuff.

What you need to do instead: Include the libs with their txt files so the vanilla ingame addon manager will detect all libraries with the same name, check the ## AddOnVersion: integer from their txt files and ONLY load the higehst/newest version then.


Please remove the included LibAddonMenu and LibCraftText (not sure if this is available here on esoui?), OR include it in total containing ALL library's files, and especially the txt file of the libraries.
Reasons were explained on multiple addons, changelogs, comments, updates, forum threads, wiki entries, and ... meanwhile -> SINCE the Summerset patch (>2 years ago).

Read this please, if you need more details:
https://wiki.esoui.com/Libraries#Pro..._but_how.3F.29

And then:
Either (prefered way as it will make live so much easier for ALL addon devs AND less error causing for all users):
Strip LibAddonMenu-2.0 from your subfolder libs.
Strip it from the addon's txt file where you hardoced the call to it's files in these subfolders.
Add to your addons's txt file:
Code:
##DependsOn: LibAddonMenu-2.0>=31
Or:
Remove the LibAddonMenu-2.0 folder from your addon#s subfolder, and download the newest version from www.esoui.com -> Extract the WHOLE zip archive contents to your addon's "lib" subfolder so it is included WITH it's LibAddonMenu-2.0.ttx file properly!
Strip it from the addon's txt file where you hardoced the call to it's files in these subfolders.
Add to your addons's txt file
Code:
##DependsOn: LibAddonMenu-2.0>=31

Do the same for the other libraries of your addon (LibCraftText), as long as they GOT an own txt file. If they do not exist on www.esoui.com and you are the author: Release them there please, with it's own txt file.
If you are not the author and you use it: Release it on www.esoui.com and maintain it there.
If you do not want to release it:
Either strip the library and use the code of the lib directly in your addon.
Or create your own txt file for the librray in it's folder, loading the lua files of the lib, and containing the tags
Code:
## AddOnVersion: <unsigned integer>
## IsLibrary: true
in order to make the ESO vanilla ingame addonmanager recognize them properly.
Strip LibStub from the libs! Add a global variable in order to call those libs via their global variable (normally = library name e.g. if the foldername of the lib is LibCraftText, the txt file will be LibCraftText.txt calling LibCraftText.lua and in LibCraftText.lua there will be deifne the global variable LibCraftText = {} which can be reused to load this library in your addons without LibStub then).


Please add the needed dependencies to your addon's description page so the users see what is needed directly as they install the addon (via Minion, www.esoui.com)!
Let the users only install the needed libraries ONCE to their AddOns directory (standalone). Makes it way easier to find errors and update them properly, then including outdated libs and stuff in subfolders...

And:
In your addon code remove ALL calls to LibStub which are not needed anymore.
e.g.
Wrong:
local LAM = LibStub("LibAddonMenu-2.0")

Correct:
local LAM = LibAddonMenu2


If you have build your addon on base of any other addon or template please tell the other addon dev, or template owner, to update their addons and templates as well so you guys do not use outdated and wrong material for your addons anymore

Many thanks for supporting the LibStub stripping, as well as properly used libraries via their own txt files.
Hardcoded libraries ONLY make sense, if they do not exist somwhere else with their txt files, and even then one should reconsider strippin this lib and implementiing it's code in the addon directly, OR creating the library for others to be reused (so to say the librariy's "reason to exist").
Last edited by Baertram : 07/13/20 at 07:10 PM.
Report comment to moderator  
Reply With Quote
Unread 07/13/20, 05:15 PM  
Argusus
AddOn Author - Click to view AddOns

Forum posts: 120
File comments: 106
Uploads: 2
Re: out of Date

Hey there,

I've updated the addon version for you. It will now show update to date in the game if you update again.

Originally Posted by shughes43
why is Crafting Writ Assistant saying out of date I just down loaded the latest one?
__________________
Addons : TradesMan - Crafting Writ Assistant
Report comment to moderator  
Reply With Quote
Unread 07/12/20, 07:54 PM  
shughes43

Forum posts: 0
File comments: 2
Uploads: 0
out of Date

why is Crafting Writ Assistant saying out of date I just down loaded the latest one?
Report comment to moderator  
Reply With Quote
Unread 06/16/20, 02:24 PM  
Rothry

Forum posts: 0
File comments: 65
Uploads: 0
when i craft enchanting master writs:
Lua Code:
  1. bad argument #1 to 'pairs' (table/struct expected, got nil)
  2. stack traceback:
  3. [C]: in function 'pairs'
  4. user:/AddOns/CraftingWritAssistant/CraftingWritAssistant.lua:475: in function 'BindEnchantingDetails'
  5. |caaaaaa<Locals> craftingType = 3, journalStepText = "Liefert die Glyphe", listofDetails = "", listOfRunes = [table:1]{} </Locals>|r
  6. user:/AddOns/CraftingWritAssistant/CraftingWritAssistant.lua:916: in function 'CraftingWritAssistant.BindWindow'
  7. |caaaaaa<Locals> craftingType = 3, journalIndex = 16, numberOfWritQuests = 1, isMasterQuest = T, isCraftingWritTypeValid = T, hasCraftingTypeActiveWrit = T, isFoundWritNameSearch = F, writName = "Eine meisterhafte Glyphe", writIcon = "/esoui/art/inventory/inventory...", currentStepInfo = "Liefert die Glyphe" </Locals>|r
  8. user:/AddOns/CraftingWritAssistant/CraftingWritAssistant.lua:1005: in function 'CraftingWritAssistant.CraftingCompleted'
  9. |caaaaaa<Locals> eventCode = 131535, craftingType = 3 </Locals>|r
Last edited by Rothry : 06/19/20 at 04:03 AM.
Report comment to moderator  
Reply With Quote
Unread 05/26/20, 12:44 PM  
SammiSakura
 
SammiSakura's Avatar

Forum posts: 0
File comments: 72
Uploads: 0
Been getting this error for a while now when doing the Enchanting Writ

Code:
user:/AddOns/LibCraftText/LibCraftText_Internal.lua:357: attempt to index a nil value
stack traceback:
user:/AddOns/LibCraftText/LibCraftText_Internal.lua:357: in function 'Daily.ParseConditionGlyph'
|caaaaaa<Locals> cond_text = "Craft Superb Glyph of Health W...", self = [table:1]{} </Locals>|r
(tail call): ?
(tail call): ?
(tail call): ?
user:/AddOns/CraftingWritAssistant/CraftingWritAssistant.lua:470: in function 'BindEnchantingDetails'
|caaaaaa<Locals> craftingType = 3, journalStepText = "Craft Superb Glyph of Health W..." </Locals>|r
user:/AddOns/CraftingWritAssistant/CraftingWritAssistant.lua:916: in function 'CraftingWritAssistant.BindWindow'
|caaaaaa<Locals> craftingType = 3, journalIndex = 10, numberOfWritQuests = 7, isMasterQuest = F, isCraftingWritTypeValid = T, hasCraftingTypeActiveWrit = T, isFoundWritNameSearch = F, writName = "Enchanter Writ", writIcon = "/esoui/art/inventory/inventory...", currentStepInfo = "Craft Superb Glyph of Health W..." </Locals>|r
user:/AddOns/CraftingWritAssistant/CraftingWritAssistant.lua:956: in function 'CraftingWritAssistant.CraftingStationEnter'
|caaaaaa<Locals> eventCode = 131527, craftingType = 3, sameStation = F, hasThisCraftQuestType = T </Locals>|r
__________________
@SammiSakura - EU Server - CP 810+ - Here Since 14th October 2016
Visit my home at the Alinor Townhouse
Guildhall with All Set-Stations at Grand Psijic Villa


GM of Demonic Baanditos (in Senchal, S.Elsweyr)
GM of The Forbidden Cleavage (in Wayrest, Stormhaven)
GM of The Forbidden Union (New Guild)
Officer of Brave Cat Trade (in Rawl'kha, Reapers March)
PM @SammiSakura In-Game for Invites. (EU Only!)


Curator & Middleman of Crown Black Market Crown Trading Discord
Click Here to Join & Start Trading Today!

Warning: Spoiler
Report comment to moderator  
Reply With Quote
Unread 05/07/20, 08:54 AM  
sshogrin

Forum posts: 0
File comments: 10
Uploads: 0
Doesn't know I know some recipes

How do I get CWA to learn that I know some recipes? There's a number of recipes my characters know, but the assistant says I don't know them in the window.
Am I missing something?
Report comment to moderator  
Reply With Quote
Unread 04/28/20, 05:01 AM  
cradu23

Forum posts: 0
File comments: 5
Uploads: 0
keep getting this error

So i'm going to guild house and craft master writs and dailly, then I teleport to Grathwood to give them back. Just after teleporting I get this error:

Checking type on argument journalQuestIndex failed in GetJournalQuestName_lua
stack traceback:
[C]: in function 'GetJournalQuestName'
user:/AddOns/CraftingWritAssistant/CraftingWritAssistant.lua:576: in function 'CraftingWritAssistant.GetJournalDetails'
|caaaaaa<Locals> journalIndex = [table:1]{isMasterWrit = T, questName = "A Masterful Weapon", journalIndex = 12, craftingType = 0}, craftingQuestSteps = [table:2]{}, craftingStepState = [table:3]{} </Locals>|r
user:/AddOns/CraftingWritAssistant/CraftingWritAssistant.lua:394: in function 'CraftingWritAssistant.GetCraftingWritTypeFromQuestName'
|caaaaaa<Locals> questName = "A Masterful Weapon", journalIndex = [table:1] </Locals>|r
user:/AddOns/CraftingWritAssistant/CraftingWritAssistant.lua:192: in function 'LoadJournalWritsAndDetails'
|caaaaaa<Locals> i = 15, questName = "A Masterful Weapon", _ = "", _ = "I need to create the item spec...", _ = 1, _ = "", _ = F, _ = F, _ = 50, _ = F, questType = 4, questNameValue = "A Masterful Weapon", isMasterWritType = F, journalDetails = [table:4]{1 = "Deliver the Weapon"}, journalStepsComplete = [table:5]{1 = F} </Locals>|r

I close the window. The error come back after I give back each dailly writ.

I can make the addon to indicate crafting station for master writs for clothier? It indicates me the station only for woodworking and blacksmith.
Last edited by cradu23 : 04/28/20 at 05:06 AM.
Report comment to moderator  
Reply With Quote
Post A Reply



Category Jump:

Support AddOn Development!

You have just downloaded by the author . If you like this AddOn why not consider supporting the author? This author has set up a donation account. Donations ensure that authors can continue to develop useful tools for everyone.